# Gift Card Schema

<table><thead><tr><th width="255">Property</th><th width="146">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>providerId</code></td><td>String</td><td>The provider id from the gift card list</td></tr><tr><td><code>type</code></td><td>String</td><td><p>The type of gift card</p><p>(ex. Netflix, Apple, Free Fire, etc)</p></td></tr><tr><td><code>isActivated</code></td><td>Boolean</td><td>This flag is set to let partner know if the gift card is active/inactive or not. If the flag is set to false, no order can be placed</td></tr><tr><td><code>platform</code></td><td>String</td><td><p>The platform issuing the gift cards </p><p>(ex. pgecom)</p></td></tr><tr><td><code>minimum</code></td><td>Number</td><td>The minimum amount to purchase from gift card</td></tr><tr><td><code>maximum</code></td><td>Number</td><td>The maximum amount for gift cards</td></tr><tr><td><code>defaultDelivery</code></td><td></td><td>The default delivery that's available</td></tr><tr><td><code>displayName</code></td><td>String</td><td><p>The display name of the gift card</p><p>(ex. Apple, Netflix)</p></td></tr><tr><td><code>image</code></td><td>String</td><td>The image of the gift card</td></tr><tr><td><code>provider</code></td><td>String</td><td><p>The provider that issue this gift card </p><p>(ex. pgecom)</p></td></tr><tr><td><code>providerId</code></td><td>String</td><td><p>The id of the gift card from provider</p><p>(ex. 5, 21, 247, etc)</p></td></tr><tr><td><code>id</code></td><td>String</td><td>This is the id that you'll need  in order to place an order for the gift card</td></tr><tr><td><code>feePercentage</code></td><td>Number</td><td>This is a default fee percentage if those options are not set (ex. standard, regular, express, urgent or instant)</td></tr><tr><td><code>fixedFee</code></td><td>Number</td><td>Certain provider charged a fixed fee for the gift card. This applies to the gift card fees calculation</td></tr><tr><td><code>standardDeliveryFee</code></td><td>Number</td><td>Delivery percentage fee. This applies into the fee calculation</td></tr><tr><td><code>regularDeliveryFee</code></td><td>Number</td><td>Delivery percentage fee. This applies into the fee calculation</td></tr><tr><td><code>expressDeliveryFee</code></td><td>Number</td><td>Delivery percentage fee. This applies into the fee calculation</td></tr><tr><td><code>urgentDeliveryFee</code></td><td>Number</td><td>Delivery percentage fee. This applies into the fee calculation</td></tr><tr><td><code>instantDeliveryFee</code></td><td>Number</td><td>Delivery percentage fee. This applies into the fee calculation</td></tr><tr><td><code>isPriceFixed</code></td><td>Boolean</td><td>Certain gift cards only have fixed price available</td></tr><tr><td><code>isStandardDelivery</code></td><td>Boolean</td><td>Flag for 2 business days delivery. When this flag is enabled, that means that this delivery method is enabled</td></tr><tr><td><code>isRegularDelivery</code></td><td>Boolean</td><td>Flag for 1 business days delivery. When this flag is enabled, that means that this delivery method is enabled</td></tr><tr><td><code>isExpressDelivery</code></td><td>Boolean</td><td>Flag for 2 business days delivery. When this flag is enabled, that means that this delivery method is enabled</td></tr><tr><td><code>isUrgentDelivery</code></td><td>Boolean</td><td>Flag for 30 business days delivery. When this flag is enabled, that means that this delivery method is enabled</td></tr><tr><td><code>isInstantDelivery</code></td><td>Boolean</td><td>Flag for 2 minutes delivery. When this flag is enabled, that means that this delivery method is enabled</td></tr><tr><td><code>createdAt</code></td><td>String</td><td>The date that the gift card was created in our system</td></tr><tr><td><code>updatedAt</code></td><td>String</td><td>The date that it was last updated</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pgecom.com/api-endpoint/giftcards/gift-card-schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
